Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.xmp
Class LangAlt

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  com.lowagie.text.xml.xmp.LangAlt

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class LangAlt

extends Properties

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT` Key for the default language.
`private static long` | `serialVersionUID` A serial version id.

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`LangAlt()` Creates a Properties object that stores languages for use in an XmpSchema
`LangAlt(String defaultValue)` Creates a Properties object that stores languages for use in an XmpSchema

Method Summary
`void` | `addLanguage(String language, String value)` Add a language.
`protected void` | `process(StringBuffer buf, Object lang)` Process a property.
`String` | `toString()` Creates a String that can be used in an XmpSchema.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  A serial version id.

  See Also:
    Constant Field Values

### DEFAULT

    public static final String DEFAULT

  Key for the default language.

  See Also:
    Constant Field Values

Constructor Detail

### LangAlt

    public LangAlt(String defaultValue)

  Creates a Properties object that stores languages for use in an XmpSchema

### LangAlt

    public LangAlt()

  Creates a Properties object that stores languages for use in an XmpSchema

Method Detail

### addLanguage

    public void addLanguage(String language,
                            String value)

  Add a language.

### process

    protected void process(StringBuffer buf,
                           Object lang)

  Process a property.

### toString

    public String toString()

  Creates a String that can be used in an XmpSchema.

  Overrides:
    `toString` in class `Hashtable<Object,Object>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD